//** This file contains some minimal basic support routines, written in C
//** to provide low DOS memory access and such.
/*																																					 */
/*		Written by John W. Ratcliff (c) 1994																	 */
/*			 Compuserve: 70253,3237 																						 */
/*			 Genie: J.RATCLIFF3 																								 */
/*			 BBS: 1-314-939-0200																								 */
/*			 Addresss:																													 */
/*					 747 Napa Lane																									 */
/*					 St. Charles, MO 63304																					 */
/*																																					 */
int   keystat(void);
int 	getkey(void);
void	* fload(char *fname,long int *size);
void	* floadlow(char *fname,long int *size);
void	* memalloc(long int size); // Allocate memory.
void	memfree(void *mem); // Free memory.
void	* realalloc(long int size); // Allocate memory in 1mb address space.
// This is a standard 'DOS' memory allocate, thus the returned address is not
// only always in the first 1mb of address space but is also ALWAYS going to
// be paragraph aligned.	This is significant for the DIGPAK amd MIDPAK loading
// mechanism, and other dynamic loading systems because a .COM module must
// be paragraph aligned.
void	realfree(void *mem); // Free memory in first 1mb of address space.
